#/bin/bash

export THISRELEASE=0.1.0.527_debug

mkdir oscpmwin
mkdir oscpmwin/modules
mkdir oscpmwin/serverside
mkdir oscpmwin/locale

cp ../oscpm1.exe oscpmwin/
cp ../plink.exe oscpmwin/
cp ../*.dll oscpmwin/
cp ../docs/*.txt oscpmwin/
rm -f oscpmwin/license.txt
cp ../docs/license_except.xxx oscpmwin/license_except.txt
cp ../serverside/*.php oscpmwin/serverside/
cp ../serverside/*.tar.gz oscpmwin/serverside/
cp ../modules/* oscpmwin/modules/
#cp -r ../locale/* oscpmwin/locale/
cd ..
tar --exclude=CVS -cf - locale | (cd installer/oscpmwin ; tar -xf - ); cd installer

rm -f oscpmwin_${THISRELEASE}.zip
zip -r -9 oscpmwin_${THISRELEASE}.zip oscpmwin

md5sum oscpmwin_${THISRELEASE}* > checksums.txt
sha1sum oscpmwin_${THISRELEASE}* >> checksums.txt
